POST /registry/allocation-instruction/v2/:allocationInstructionId/choice-contexts/accept
curl --request POST \
--url https://api.example.com/registry/allocation-instruction/v2/{allocationInstructionId}/choice-contexts/accept \
--header 'Content-Type: application/json' \
--data '
{
"meta": {},
"excludeDebugFields": false
}
'import requests
url = "https://api.example.com/registry/allocation-instruction/v2/{allocationInstructionId}/choice-contexts/accept"
payload = {
"meta": {},
"excludeDebugFields": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({meta: {}, excludeDebugFields: false})
};
fetch('https://api.example.com/registry/allocation-instruction/v2/{allocationInstructionId}/choice-contexts/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choiceContextData": {},
"disclosedContracts": [
{
"templateId": "<string>",
"contractId": "<string>",
"createdEventBlob": "<string>",
"synchronizerId": "<string>",
"debugPackageName": "<string>",
"debugPayload": {},
"debugCreatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}POST /registry/allocation-instruction/v2/:allocationInstructionId/choice-contexts/accept
Get the choice context to accept an allocation instruction.
POST
/
registry
/
allocation-instruction
/
v2
/
{allocationInstructionId}
/
choice-contexts
/
accept
POST /registry/allocation-instruction/v2/:allocationInstructionId/choice-contexts/accept
Path Parameters
The contract ID of the allocation instruction to accept.
Body
application/json
A request to get the context for executing a choice on a contract.
Response
ok
The context required to exercise a choice on a contract via an interface.
Used to retrieve additional reference data that is passed in via disclosed contracts,
which are in turn referred to via their contract ID in the choiceContextData.
Asset implementations SHOULD avoid that this value depends on contract-ids passed in the choice arguments, so that clients can prefetch choice contexts when chaining multiple token standard actions together in a single Daml transaction.